<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>StudentRegistration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">spring-boot-rest-2</a> &gt; <a href="index.source.html" class="el_package">com.bhaiti.kela.beans</a> &gt; <span class="el_source">StudentRegistration.java</span></div><h1>StudentRegistration.java</h1><pre class="source lang-java linenums">package com.bhaiti.kela.beans;

import java.util.ArrayList;
import java.util.List;

public class StudentRegistration {
	
	private static List&lt;Student&gt; studentRecords;
	
<span class="fc" id="L10">	private static StudentRegistration stdregd = null;</span>
	
<span class="fc" id="L12">	private StudentRegistration(){</span>
<span class="fc" id="L13">		studentRecords = new ArrayList&lt;Student&gt;();</span>
<span class="fc" id="L14">	}</span>
	
	public static StudentRegistration getInstance() {
		
<span class="pc bpc" id="L18" title="1 of 2 branches missed.">		if(stdregd == null) {</span>
<span class="fc" id="L19">			stdregd = new StudentRegistration();</span>
<span class="fc" id="L20">			return stdregd;</span>
		}
		else {
<span class="nc" id="L23">			return stdregd;</span>
		}
	}
	
	public void add(Student std) {
<span class="nc" id="L28">		studentRecords.add(std);</span>
<span class="nc" id="L29">	}</span>
	
	public static String upDateStudent(Student std) {
		
<span class="pc bpc" id="L33" title="1 of 2 branches missed.">		for(int i=0; i&lt;studentRecords.size(); i++)</span>
        {
<span class="nc" id="L35">            Student stdn = studentRecords.get(i);</span>
<span class="nc" id="L36">            System.out.println(stdn.getRegistrationNumber());</span>
<span class="nc" id="L37">            System.out.println(std.getRegistrationNumber());</span>
<span class="nc bnc" id="L38" title="All 2 branches missed.">            if(stdn.getRegistrationNumber().equals(std.getRegistrationNumber())) {</span>
<span class="nc" id="L39">            	studentRecords.set(i, std);//update the new record</span>
<span class="nc" id="L40">            	return &quot;Update successful&quot;;</span>
            }
        }
		
<span class="fc" id="L44">		return &quot;Update un-successful&quot;;</span>
		
	}
	
	public static String deleteStudent(String registrationNumber) {
		
<span class="pc bnc" id="L50" title="All 2 branches missed.">		for(int i=0; i&lt;studentRecords.size(); i++)</span>
        {
<span class="nc" id="L52">            Student stdn = studentRecords.get(i);</span>
<span class="nc bnc" id="L53" title="All 2 branches missed.">            if(stdn.getRegistrationNumber().equals(registrationNumber)) {</span>
<span class="nc" id="L54">            	studentRecords.remove(i);//update the new record</span>
<span class="nc" id="L55">            	return &quot;Delete successful&quot;;</span>
            }
        }
		
<span class="nc" id="L59">		return &quot;Delete un-successful&quot;;</span>
		
	}

	public List&lt;Student&gt; getStudentRecords() {
<span class="nc" id="L64">		return studentRecords;</span>
	}

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>